Bug 6277 - CustomLog by default
Summary: CustomLog by default
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Transaction logs (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Paul Poulain
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-28 09:53 UTC by Nuño López Ansótegui
Modified: 2013-12-05 19:53 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Uploaded a patch (995 bytes, patch)
2011-05-03 10:04 UTC, Nuño López Ansótegui
Details | Diff | Splinter Review
Signed off Patch (1016 bytes, patch)
2011-06-07 06:36 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nuño López Ansótegui 2011-04-28 09:53:36 UTC
In koha-httpd.conf file, inside the <VirtualHost> configuration there is commented the TransferLog /home/www/koha/var/log/koha-opac-access_log, however there isn´t the CustomLog /home/www/koha/var/log/koha-opac-access_log combine to provide a more detailed log of the visits.
It would be interesting to include by default the CustomLog // combined in this file.
Comment 1 Nuño López Ansótegui 2011-05-03 10:04:27 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-06-07 06:36:48 UTC
Created attachment 4389 [details] [review]
Signed off Patch
Comment 3 Paul Poulain 2011-08-10 12:50:33 UTC
QA comment

1 line patch that adds something commented by default on the httpd.conf file, so won't change anything.

Earned "passed QA" easily
Comment 4 Chris Cormack 2011-08-11 00:56:44 UTC
Pushed, please test
Comment 5 MJ Ray (software.coop) 2011-08-12 13:06:37 UTC
The patch attached to this bug makes etc/koha-httpd.conf executable - why?
Comment 6 Jared Camins-Esakov 2012-05-23 12:30:52 UTC
Seems to be working. Closing.